## gitleaks 8.16.0

=== Makefile ===
.PHONY: test test-cover

PKG=github.com/zricethezav/gitleaks
VERSION := `git fetch --tags && git tag | sort -V | tail -1`
LDFLAGS=-ldflags "-X=github.com/zricethezav/gitleaks/v8/cmd.Version=$(VERSION)"
COVER=--cover --coverprofile=cover.out

test-cover:
	go test -v ./... --race $(COVER) $(PKG)
	go tool cover -html=cover.out

format:
	go fmt ./...

test: format
	go vet ./...
	go test -v ./... --race $(PKG) 

build: format
	go vet ./...
	go mod tidy
	go build $(LDFLAGS)

clean:
	find . -type f -name '*.got.*' -delete
	find . -type f -name '*.out' -delete

=== debian/changelog ===
gitleaks (8.16.0-1ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 23 Jun 2025 15:56:57 +1000

gitleaks (8.16.0-1ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 01 Nov 2024 09:59:26 +0100

gitleaks (8.16.0-1ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 11 Jul 2024 09:40:46 +0530

gitleaks (8.16.0-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:14:19 +1200

gitleaks (8.16.0-1) unstable; urgency=medium

  * Initial release (Closes: #1032692)

 -- Anthony Fok <foka@debian.org>  Sat, 11 Mar 2023 11:11:15 -0700

=== debian/control ===
Source: gitleaks
Section: golang
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Anthony Fok <foka@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               git,
               golang-any,
               golang-github-charmbracelet-lipgloss-dev (>= 0.5.0),
               golang-github-fatih-semgroup-dev (>= 1.2.0),
               golang-github-gitleaks-go-gitdiff-dev (>= 0.8.0),
               golang-github-petar-dambovaliev-aho-corasick-dev (>= 0.0~git20211021.5ab2d92),
               golang-github-rs-zerolog-dev (>= 1.26.1),
               golang-github-spf13-cobra-dev (>= 1.2.1),
               golang-github-spf13-viper-dev (>= 1.8.1),
               golang-github-stretchr-testify-dev (>= 1.7.0),
               golang-gopkg-h2non-filetype.v1-dev (>= 1.1.3)
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/gitleaks
Vcs-Git: https://salsa.debian.org/go-team/packages/gitleaks.git
Homepage: https://github.com/gitleaks/gitleaks
XS-Go-Import-Path: github.com/zricethezav/gitleaks

Package: gitleaks
Section: utils
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Static-Built-Using: ${misc:Static-Built-Using}
Description: protect and discover secrets using Gitleaks 🔑
 Gitleaks is a SAST tool for **detecting** and **preventing** hardcoded
 secrets like passwords, api keys, and tokens in git repos.  Gitleaks is
 an **easy-to-use, all-in-one solution** for detecting secrets, past or
 present, in your code.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := config/gitleaks.toml
export DH_GOLANG_EXCLUDES := cmd/generate

%:
	dh $@ --builddirectory=_build --buildsystem=golang

override_dh_auto_install:
	dh_auto_install -- --no-source
